[arch-commits] Commit in xfce4-settings/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Wed Mar 31 11:02:29 CEST 2010


    Date: Wednesday, March 31, 2010 @ 05:02:28
  Author: jgc
Revision: 74482

upgpkg: xfce4-settings 4.6.4-2
Rebuild for libxklavier

Modified:
  xfce4-settings/trunk/PKGBUILD

----------+
 PKGBUILD |   13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-03-31 08:45:24 UTC (rev 74481)
+++ PKGBUILD	2010-03-31 09:02:28 UTC (rev 74482)
@@ -4,22 +4,27 @@
 
 pkgname=xfce4-settings
 pkgver=4.6.4
-pkgrel=1
+pkgrel=2
 pkgdesc="Settings manager for xfce"
 arch=('i686' 'x86_64')
 license=('GPL2')
 url="http://www.xfce.org/"
 groups=('xfce4')
-depends=('exo>=0.3.106' 'libnotify>=0.4.5' 'libxfcegui4>=4.6.1' 'libxklavier>=4.0' 'libwnck>=2.28.0')
+depends=('exo>=0.3.106' 'libnotify>=0.4.5' 'libxfcegui4>=4.6.1' 'libxklavier>=5.0' 'libwnck>=2.30.0')
 makedepends=('intltool')
 optdepends=('libcanberra: for sound control')
 conflicts=('xfce-mcs-manager')
 replaces=('xfce-mcs-manager')
-source=( http://archive.xfce.org/src/xfce/${pkgname}/4.6/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('04985407e8e5b916c44780314a177e96')
+source=(http://archive.xfce.org/src/xfce/${pkgname}/4.6/${pkgname}-${pkgver}.tar.bz2
+        xklavier-5.patch)
+md5sums=('04985407e8e5b916c44780314a177e96'
+         '41306a7a8f7117f5a1ec8bf8207878e5')
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
+  patch -Np1 -i "${srcdir}/xklavier-5.patch" || return 1
+  autoheader || return 1
+  autoconf || return 1
   ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
     --disable-static --enable-libxklavier --enable-sound-settings || return 1
   make || return 1



More information about the arch-commits mailing list